<!--
title: Serverless - Azure Functions Documentation
menuText: Azure
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->
### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/)
<!-- DOCS-SITE-LINK:END -->

# Azure Functions Provider Documentation

Welcome to the Serverless Azure Functions documentation!

If you have any questions, [search the forums](https://forum.serverless.com?utm_source=framework-docs) or [start your own thread](https://forum.serverless.com?utm_source=framework-docs)

**Note:** [Azure Functions system credentials](./guide/credentials.md) are required for using serverless + Azure Functions.

<div class="docsSections">
  <div class="docsSection">
    <div class="docsSectionHeader">
      <a href="./guide/">
      <img src="https://s3-us-west-2.amazonaws.com/assets.site.serverless.com/images/docs_guide_azure.jpg" alt="Serverless Framework Microsoft Azure Guide" width="250" draggable="false"/>
      </a>
    </div>
    <div class="test">
      <ul>
        <li><a href="./guide/intro.md">Intro</a></li>
        <li><a href="./guide/quick-start.md">Quickstart</a></li>
        <li><a href="./guide/installation.md">Installation</a></li>
        <li><a href="./guide/credentials.md">Credentials</a></li>
        <li><a href="./guide/services.md">Services</a></li>
        <li><a href="./guide/functions.md">Functions</a></li>
        <li><a href="./guide/events.md">Events</a></li>
        <li><a href="./guide/deploying.md">Deploying</a></li>
        <li><a href="./guide/testing.md">Testing</a></li>
        <li><a href="./guide/variables.md">Variables</a></li>
        <li><a href="./guide/packaging.md">Packaging</a></li>
        <li><a href="./guide/plugins.md">Plugins</a></li>
        <li><a href="./guide/workflow.md">Workflow</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionHeader">
      <a href="./cli-reference/">
      <img src="https://s3-us-west-2.amazonaws.com/assets.site.serverless.com/images/docs_cli_azure.jpg" alt="Serverless Framework Microsoft Azure CLI Reference" width="250" draggable="false"/>
      </a>
    </div>
    <div>
      <ul>
        <li><a href="./cli-reference/install.md">Install</a></li>
        <li><a href="./cli-reference/deploy.md">Deploy</a></li>
        <li><a href="./cli-reference/deploy-function.md">Deploy Function</a></li>
        <li><a href="./cli-reference/invoke.md">Invoke</a></li>
        <li><a href="./cli-reference/login.md">Login</a></li>
        <li><a href="./cli-reference/logs.md">Logs</a></li>
        <li><a href="./cli-reference/remove.md">Remove</a></li>
        <li><a href="./cli-reference/plugin-list.md">Plugin List</a></li>
        <li><a href="./cli-reference/plugin-search.md">Plugin Search</a></li>
        <li><a href="./cli-reference/plugin-install.md">Plugin Install</a></li>
        <li><a href="./cli-reference/plugin-uninstall.md">Plugin Uninstall</a></li>
        <li><a href="./cli-reference/print.md">Print</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionHeader">
      <a href="./events/">
      <img src="https://s3-us-west-2.amazonaws.com/assets.site.serverless.com/images/docs_events_azure.jpg" alt="Serverless Framework Microsoft Azure Events"  width="250" draggable="false"/>
      </a>
    </div>
    <div>
      <ul>
        <li><a href="./events/http.md">HTTP</a></li>
        <li><a href="./events/timer.md">Timer</a></li>
        <li><a href="./events/queuestorage.md">Queue Storage</a></li>
        <li><a href="./events/servicebus.md">Service Bus</a></li>
        <li><a href="./events/eventhubs.md">Event Hubs</a></li>
        <li><a href="./events/blobstorage.md">Blob Storage</a></li>
        <li><a href="./events/other.md">Other Bindings</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionHeader">
      <a href="./examples/">
      <img src="https://s3-us-west-2.amazonaws.com/assets.site.serverless.com/images/docs_examples_azure.jpg" alt="Serverless Framework Microsoft Azure Examples" width="250" draggable="false"/>
      </a>
    </div>
    <div>
      <div>
        <ul>
          <li><a href="./examples/hello-world">Hello World</a></li>
        </ul>
      </div>
    </div>
  </div>
</div>
